Bug 1287742 - RFE: Add ability to filter on session to the user filter of the audit system
RFE: Add ability to filter on session to the user filter of the audit system
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Paul Moore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 10:05 EST by Steve Grubb
Modified: 2016-06-02 15:43 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-02 15:43:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2015-12-02 10:05:54 EST
Description of problem:
There are times when admins need to restrict audit events based on the session information. The session ID is in the netlink credentials coming from user space. They just didn't get added to the user filter when they were added to netlink. This is a request to add them to the user filter.
Comment 1 Paul Moore 2016-04-06 19:23:13 EDT
Upstream issue:

 * https://github.com/linux-audit/audit-kernel/issues/4
Comment 2 Paul Moore 2016-06-02 15:43:53 EDT
Closing this as we are tracking upstream RFEs on GitHub now, see link in comment #1.

Note You need to log in before you can comment on or make changes to this bug.